Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06500 Interface Minor Always Feb 10, 2017, 00:22 Feb 17, 2017, 09:06
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To crazyc Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.182 Fixed in Version 0.183 Build 64-bit
Summary 06500: DAT files: Unable to use multiple paths
Description The current placeholder for DAT file usage in the internal UI expects all .DAT files to be placed in the first folder mentioned in "historypath" in the ui.ini, despite the setting allowing for multiple paths.


Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems DAT files
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
6
User avatar
No.13627
crazyc
Developer
Feb 13, 2017, 22:32
Fixed in https://github.com/mamedev/mame/commit/d090bbedb8b620a80b50b61a8eec33cf3f85ffaf .
User avatar
No.13635
M.A.S.H.
Senior Tester
Feb 16, 2017, 14:34
Added the newest plugins into my mame directory and put the mameinfo.dat into the history directory and
displaying of the DAT didn't work.
Got also the following error:
[LUA ERROR] in execute_function: plugins/data/load_dat.lua:68: attempt to index a nil value (local 'fh')
User avatar
No.13637
crazyc
Developer
Feb 17, 2017, 00:34
Should be fixed.
User avatar
No.13638
M.A.S.H.
Senior Tester
Feb 17, 2017, 01:05
It works. I can now move the mameinfo.dat into the mame or history and dats directory .
But you need a history directory. The LUA program create only in this directory the history.db file.
Can you change it, so that it generates the history.db into the plugins dir or the ini.
These directories are in the mame0182b_32/64bit.exe zipfile
User avatar
No.13639
crazyc
Developer
Feb 17, 2017, 03:51
edited on: Feb 17, 2017, 03:51
It creates the first path in historypath now for the database if it doesn't exist. If you don't want it in the history directory, change the historypath.

User avatar
No.13641
M.A.S.H.
Senior Tester
Feb 17, 2017, 09:06
Thanks for fixing it!

As for me, I would have liked it that mame.ini, plugin.ini and ui.ini comes in the ini directory.
That you don't need to generate a mame.ini with mame -cc. That MAME generates it at first start.
There are too many files in the main directory. This only frightens beginners. We need a comfortable MAME version.
When i edit the ui_path in the ui.ini file and set it to ini and move the file into the ini path, it doesn't work.
It generates another one in the main directory. But when i edit the inipath in the mame.ini file and set it to ini and
move mame.ini and ui.ini into ini path, it works. Very confusing to me...